Subject: Re: issue with grep [^]
From: Bob McGowan <[email-masked]>
To: Cygwin <[email-masked]>
Date: Fri, 25 Aug 2000 10:01:14 -0700

This works correctly in ver. 1.1.4:

$ cat tstfile
-1)
-2)
-x)
-C)
$ grep \\-[0-9]\) tstfile
-1)
-2)
$ grep \\-[^0-9]\) tstfile
-x)
-C
$

Earnie Boyd wrote:
> 
> --- Robert Praetorius <[email-masked]> wrote:
> > > If I type:
> > >     cat x.txt | grep \\-[0-9]\)
> > > it works great - the lines containing it are correctly returned.
> > >
> > > But typing:
> > >     cat x.txt | grep \\-[^0-9]\)
> > > doesn't work - the same result occurs as the first case above, like the ^
> > is
> > > ignored.
> >
> >      ^ is the quoting character for NT's CMD.EXE (bash doesn't exhibit
> > this problem).  Also note that CMD.EXE requires | must be double
> > quoted if you're passing it through a pipe (again bash doesn't need
> > this):
> >
> > F:\temp>echo ^| | cat
> > The syntax of the command is incorrect.
> >
> > F:\temp>echo ^^^| | cat
> > |
> >
> > F:\temp>bash
> > $ echo \| | cat
> > |
> > $ echo \\\| | cat
> > \|
> >
> 
> Hi Robert and Jeff,
> 
> Robert, did you try this in bash?
> 
> It doesn't work.  It *is* broken.  I've found no work around.  I doubt that
> this would be a Cygwin bug but maybe 1.1.4 has it fixed.  I'm running currently
> a 1.1.3 build from 6/20/2000.
> 
> Cheers,
> 
> =====
> ---
>    Earnie Boyd: <mailto:[email-masked]>
>             __Cygwin: POSIX on Windows__
> Cygwin Newbies: <http://gw32.freeyellow.com/>
>            __Minimalist GNU for Windows__
>   Mingw32 List: <http://www.egroups.com/group/mingw32/>
>     Mingw Home: <http://www.mingw.org/>
> 
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Mail - Free email you can access from anywhere!
> http://mail.yahoo.com/
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]